Skip to main content
Shield information barrier segment represents a defined group of users. A user can be a member of only one segment, which makes segments different from groups.

List of Shield Information Barrier Segments

List of Shield Information Barrier Segment objects.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
entriesarray of Shield information barrier segmentNoA list of shield information barrier segments.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "entries": [
    {
      "id": "11446498",
      "type": "shield_information_barrier_segment",
      "shield_information_barrier": {
        "id": "11446498",
        "type": "shield_information_barrier"
      },
      "name": "Investment Banking",
      "description": "'Corporate division that engages in advisory_based financial\n transactions on behalf of individuals, corporations, and governments.'",
      "created_at": "2020-06-26T18:44:45.869Z",
      "created_by": {
        "id": "11446498",
        "type": "user"
      },
      "updated_at": "2020-07-26T18:44:45.869Z",
      "updated_by": {
        "id": "11446498",
        "type": "user"
      }
    }
  ]
}

Shield information barrier segment

A shield information barrier segment object.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for the shield information barrier segment.
typeenum<string>NoThe type of the shield information barrier segment. Available options: shield_information_barrier_segment.
shield_information_barrierShield information barrier (Base)No
namestringNoName of the shield information barrier segment.
descriptionstringNoDescription of the shield information barrier segment.
created_atstringNoISO date time string when this shield information barrier object was created.
created_byUser (Base)NoThe user who created this shield information barrier segment.
updated_atstringNoISO date time string when this shield information barrier segment was updated.
updated_byUser (Base)NoThe user that updated this shield information barrier segment.
Example
{
  "id": "11446498",
  "type": "shield_information_barrier_segment",
  "shield_information_barrier": {
    "id": "11446498",
    "type": "shield_information_barrier"
  },
  "name": "Investment Banking",
  "description": "'Corporate division that engages in advisory_based financial\n transactions on behalf of individuals, corporations, and governments.'",
  "created_at": "2020-06-26T18:44:45.869Z",
  "created_by": {
    "id": "11446498",
    "type": "user"
  },
  "updated_at": "2020-07-26T18:44:45.869Z",
  "updated_by": {
    "id": "11446498",
    "type": "user"
  }
}
Last modified on July 9, 2026